<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

$jenisTemplate = intval($jenisTemplate);
if(!is_numeric($jenisTemplate)){
    show_404();
    exit();
}

$bertemu = intval($stat_bertemu);
if(!is_numeric($bertemu)){
    show_404();
    exit();
}

$jursitLabel = intval($jursit_id_label);
if(!is_numeric($jursitLabel)){
    show_404();
    exit();
}

$jumlahx = number_format(strval($biaya),2,",",".");

$url = "";
$judul = "";

foreach ($template->result() as $template)
{
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/relaas/perdata_umum/".$filename.".rtf");
$Template = file_get_contents($url);
//=============================================roby======================================================
$dataPenggugat = $dataTemplate;
	foreach ($dataPenggugat->result() as $row) {
             $namaPengadilan     =$this->templatehelper->standradnaming($row->namaPengadilan);
             $nomorperkara   =$row->noPerkara;
             $jurusita = $this->templatehelper->standradnaming($row->jurusita);
             $namaPihak  =$row->namaPihak;
             $pekerjaanPihak = $row->pekerjaanPihak;
             $alamatPihak =$row->alamatPihak;
             $tglPutusan     =$this->templatehelper->convertKeTglIndo($row->tglPutusan);
             $amarPutusan    =$this->templatehelper->cleanHtmlTag($row->amarPutusan);
             $namaPihakP   =$row->namaPihakP;
             $namaPihakT   =$row->namaPihakT;

 }
if(empty($nomorperkara)){
	$nomorperkara = '........';
}
if(empty($jurusita)){
	$jurusita = '........';
}

if($jenisTemplate==1){
    $bertemuPihak="";
    if ($bertemu==1) {
		$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Penggugat, di sana saya bertemu dan berbicara dengan Penggugat sendiri';
		} elseif ($bertemu==2) {
			$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Penggugat, akan tetapi tidak bertemu dengan Penggugat sendiri, selanjutnya saya sampaikan kepada Lurah/Kepala Desa ............  yang wajib segera memberitahukan surat pemberitahuan tersebut kepada Penggugat';
		}
} elseif ($jenisTemplate==2) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Penggugat, akan tetapi tidak bertemu dengan Penggugat sendiri, karena sudah meninggal dunia, selanjutnya pemberitahuan ini disampaikan kepada  ............   yang menurut pengakuannya adalah salah seorang ahli waris dari Penggugat';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Penggugat, akan tetapi tidak bertemu dengan Penggugat sendiri, karena sudah meninggal dunia, sedangkan ahli warisnya tidak diketahui, selanjutnya saya sampaikan kepada Lurah/Kepala Desa  ............   yang wajib segera memberitahukan surat pemberitahuan tersebut kepada Ahli Waris Penggugat';
	}
} elseif ($jenisTemplate==3) {
	$bertemuPihak="";
	if ($bertemu==1) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Ahli Waris Penggugat, di sana saya bertemu dan berbicara dengan Ahli Waris Penggugat sendiri';
	} elseif ($bertemu==2) {
	$bertemuPihak = 'Pemberitahuan ini saya jalankan di tempat kediaman/tinggal Ahli Waris Penggugat, akan tetapi tidak bertemu dengan Ahli Waris Penggugat sendiri, selanjutnya saya sampaikan kepada Lurah/Kepala Desa .............. yang wajib segera memberitahukan surat pemberitahuan tersebut kepada Ahli Waris Penggugat';
	}
}


if ($jursitLabel==1) {
	$jursitLabelx = 'Jurusita';
	} else 
	$jursitLabelx = 'Jurusita Penggati';

$jumlahx = number_format(strval($biaya),2,",",".");

$Template = str_replace("#namaPengadilan#",''.$namaPengadilan.'',$Template);
$Template = str_replace("#nomorperkara#",''.$nomorperkara.'',$Template);
$Template = str_replace("#jurusita#",''.$jurusita.'',$Template);
$Template = str_replace("#namaPihak#",''.$namaPihak.'',$Template);
$Template = str_replace("#pekerjaanPihak#",''.$pekerjaanPihak.'',$Template);
$Template = str_replace("#alamatPihak#",''.$alamatPihak.'',$Template);
$Template = str_replace("#tglPutus#",''.$tglPutusan.'',$Template);
$Template = str_replace("#namaPihakP#",''.$namaPihakP.'',$Template);
$Template = str_replace("#namaPihakT#",''.$namaPihakT.'',$Template);
$Template = str_replace("#amarPutusan#",''.$amarPutusan.'',$Template);
$Template = str_replace("#bertemuPihak#",''.$bertemuPihak.'',$Template);
$Template = str_replace("#jumlah#",''.number_format(strval($biaya),2,",",".").'',$Template);
$Template = str_replace("#jumlahx#",''.$this->templatehelper->Terbilang(intval($biaya)).'',$Template);
$Template = str_replace("#jursitLabel#",''.$jursitLabelx.'',$Template);


header("Content-type: application/rtf");
header("Content-disposition: inline; filename=".$namafile."-".$nomorperkara.".rtf");
header("Content-length: ".strlen($Template));
echo $Template;
?>